> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns minimum wage rates by location (address or coordinates) and effective date

> The result contains all hierarchy levels based on address or coordinates (valid coordinates take precedence over the address). The valid date format is yyyy-mm-dd.



## OpenAPI

````yaml /prp/api-reference/payroll-point.yaml get /v1/minimumwage/location
openapi: 3.0.1
info:
  title: Payroll Point API
  description: Symmetry Payroll Point API documentation
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
    email: support@symmetry.com
  license:
    name: Symmetry Software/Terms of Use
    url: https://www.symmetry.com/terms
  version: 1.3.65
servers:
  - url: https://api.symmetry.com/prp
security: []
tags:
  - name: Location Taxes
    description: Calculate payroll taxes by home and work location
  - name: Account Info
    description: Retrieve account-product details and usage data
  - name: Minimum wage
    description: Endpoints returning the minimum wage
  - name: Documentation
    description: Documentation helper endpoints
  - name: Postman
    description: Resources for Postman
paths:
  /v1/minimumwage/location:
    get:
      tags:
        - Minimum wage
      summary: >-
        Returns minimum wage rates by location (address or coordinates) and
        effective date
      description: >-
        The result contains all hierarchy levels based on address or coordinates
        (valid coordinates take precedence over the address). The valid date
        format is yyyy-mm-dd.
      operationId: getRatesByLocationWs
      parameters:
        - name: streetAddress1
          in: query
          required: false
          schema:
            type: string
          example: 123 main st
        - name: streetAddress2
          in: query
          required: false
          schema:
            type: string
        - name: city
          in: query
          required: false
          schema:
            type: string
          example: Edison
        - name: state
          in: query
          required: false
          schema:
            type: string
          example: NJ
        - name: zipCode
          in: query
          required: false
          schema:
            type: string
          example: 8837
        - name: latitude
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: longitude
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: effectiveDate
          in: query
          required: true
          schema:
            type: string
            format: date-time
          example: '2021-01-01T00:00:00.000Z'
        - name: useAddressSuggestion
          in: query
          description: >-
            If true then invalid addresses will use the first suggested address
            that closely matches the input address. If a suggestion cannot be
            found, geocoding will be based on the ZIP code. The
            useAddressSuggestion parameter is optional, if omitted its default
            value is false. If suggested address or geocode based on the ZIP
            code is used we cannot guarantee the accuracy of the results.
          required: false
          schema:
            type: boolean
            default: false
          example: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatesResponse'
      security:
        - AuthenticationToken: []
components:
  schemas:
    RatesResponse:
      type: object
      properties:
        rates:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        normalizedAddress:
          $ref: '#/components/schemas/Address'
        normalizedCoordinates:
          $ref: '#/components/schemas/GeoCoordinatesType'
        resultMessages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StatusMessage'
        errorMessages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StatusMessage'
    Address:
      type: object
      properties:
        streetAddress1:
          type: string
          example: 14350 N 87th St
        streetAddress2:
          type: string
          example: Ste 310
        city:
          type: string
          example: Scottsdale
        state:
          type: string
          example: AZ
        zipCode:
          type: string
          example: 85260-2663
    GeoCoordinatesType:
      type: object
      properties:
        longitude:
          type: number
          description: The input longitude of the location.
          format: double
          example: 33.6158
        latitude:
          type: number
          description: The input latitude of the location.
          format: double
          example: -111.8946
    StatusMessage:
      type: object
      properties:
        shortDescription:
          type: string
          example: Short error message.
        longDescription:
          type: string
          example: Long Description of error that occurred in application.
  securitySchemes:
    AuthenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````